#ifndef ANIMIMATIONBAR_H
#define ANIMIMATIONBAR_H

#include <QObject>
#include <QGraphicsView>
#include <QGraphicsRectItem>

class AnimationBarItem : public QObject, public QGraphicsRectItem
{
    Q_OBJECT
    Q_PROPERTY(QRectF rect READ rect WRITE setRect)

public:
    AnimationBarItem() {}
    ~AnimationBarItem() {}
};

class AnimationBar : public QGraphicsView
{
    Q_OBJECT
public:
    AnimationBar(QWidget *parent = nullptr);

public slots:
    void setPourcent(qreal pourc, bool isTimer);
    void init();

private:
    QColor mColor = QColor(50,50,0);
    QGraphicsScene* scene = nullptr;
    int mW = 100;
    int mH = 100;
    AnimationBarItem *bar = nullptr;
/*
private:
    QTimer *mLoop=nullptr;
    qreal mCurrent=0.0;
    qreal mDest=0.0;
private slots:
    void animPourcent();
*/
};

#endif // ANIMIMATIONBAR_H
